Name:		eel
Summary: Eazel Extensions Library.
Version: 	1.0.1
Release: 	19
License: 	GPL
Group: System Environment/Libraries
Source: 	%{name}-%{version}.tar.gz
Source2: 	nimbus_sans_cyrillic.tar.gz
URL: 		http://nautilus.eazel.com/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.10
Requires:	gnome-libs >= 1.2.11
Requires:	gnome-vfs >= 1.0
Requires:	gdk-pixbuf >= 0.10.0
Requires:	freetype >= 2.0.1
Requires:	libpng
Requires:	GConf >= 1.0.1-6
Requires:	oaf >= 0.6.5
Requires:	librsvg >= 1.0.0

BuildRequires:	glib-devel >= 1.2.9
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.10
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	GConf-devel >= 1.0.1-6
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	gnome-vfs-devel >= 1.0
BuildRequires:	gdk-pixbuf-devel >= 0.10.0
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1.0.0
BuildRequires:	freetype-devel

Patch0:		eel-1.0.1-defaultfont.patch
# Several hacks and fixes to improve efficiency of background drawing
Patch1:          eel-1.0.1-bghack.patch
Patch2:          eel-1.0.1-cvs.patch
Patch3:          eel-1.0.1-labelflash.patch
Patch4:          eel-1.0.1-styles.patch
Patch5:          eel_font_crapola.patch
Patch6:          eel-1.0.1-maketrash.patch
Patch7:          eel-1.0.1-mbellipsize.patch
Patch8:          eel-1.0.1-mbiconlabels.patch
Patch9:          eel-1.0.1-header_mb.patch

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires:	%name = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q
%patch0 -p1 -b .defaultfont
%patch1 -p1 -b .bghack
%patch2 -p0 -b .cvs
%patch3 -p1 -b .labelflash
%patch4 -p1 -b .styles
%patch5 -p0 -b .fontcrap
%patch6 -p1 -b .maketrash
%patch7 -p1 -b .mbellipsize
%patch8 -p1 -b .mbiconlabels
%patch9 -p0 -b .header_mb
cd data/fonts/urw
tar xzvf %{SOURCE2}


%build
automake
autoconf
%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

for FILE in "$RPM_BUILD_ROOT/bin/*"; do
	file "$FILE" | grep -q not\ stripped && strip $FILE
done

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so*
%{_datadir}/eel

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.sh
%{_bindir}/eel-config
%{_includedir}/eel-1

%changelog
* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in 
  eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing
 
* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com> 
- Removed docdir and cleaned up specfile a bit. 

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com> 
- Add to Red Hat build system 

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com> 
- created this thing
